# OSGeo::FDO::Commands::Feature::IInsertImp Class Reference
[OSGeo::FDO::Commands::Feature]

Inheritance diagram for OSGeo::FDO::Commands::Feature::IInsertImp:

[legend]

List of all members.

## Detailed Description

The IInsertImp class is a concrete implementation class for interface IInsert. The IInsert interface defines the Insert command, which inserts a new instance of a given class. Input to the insert command includes the name of the class and a collection of property values. Properties that are not specified and do not have a default value will be assigned a null value or an exception will be thrown if the property is required. The insert command can insert instances at global scope or instances nested within an object collection property. Instances at global scope are referred to simply by the class name. Instances at a nested scope (i.e. instances within a object collection property) are referred to by the containing class name, followed by a '.', followed by the object collection property name.

()

## Public Member Functions
OSGeo::FDO::Commands::Feature::IFeatureReader * | Execute ()
| Executes the insert command and returns a reference to an IFeatureReader. Some feature providers can generate automatic identity values for features. This will happen automatically as the features are inserted. The returned IFeatureReader allows the client to obtain the automatic identity property value(s) of newly inserted object(s). The returned feature reader at a minimum will read the unique identity properties of the objects just inserted. Multiple objects will be returned through the reader in the case of a batch insert.
__property OSGeo::FDO::Commands::BatchParameterValueCollection * | get_BatchParameterValues ()
| Gets the BatchParameterValueCollection that can be used for optimized batch inserts of multiple features with a single insert command. Batch inserts can be performed by using Parameters for each of the property values, then adding collections of parameter values to the BatchParameterValueCollection. Each ParameterValueCollection in the BatchParameterValueCollection should contain one ParameterValue for each of the parameters specified for property values.
__property OSGeo::FDO::Expression::Identifier * | get_FeatureClassName ()
| Gets the name of the class to be operated upon as an Identifier.
__property OSGeo::FDO::Commands::PropertyValueCollection * | get_PropertyValues ()
| Gets the PropertyValueCollection that specifies the names and values of the properties for the instance to be inserted.
__property System::Void | set_FeatureClassName (OSGeo::FDO::Expression::Identifier *value)
| Sets the name of the class to be operated upon as an Identifier.
System::Void | SetFeatureClassName (System::String *value)
| Sets the name of the class to be operated upon as an Identifier.